/**
 * EntityClassPlace2.java
 *
 * File generated from the medication2::EntityClassPlace2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassPlace2.
 *
 * 
 */

@XmlType(name = "EntityClassPlace")
@XmlEnum
@XmlRootElement(name = "EntityClassPlace2")
public enum EntityClassPlace2 {
	@XmlEnumValue("PLC")
	PLC("PLC"),
	@XmlEnumValue("CITY")
	CITY("CITY"),
	@XmlEnumValue("COUNTRY")
	COUNTRY("COUNTRY"),
	@XmlEnumValue("COUNTY")
	COUNTY("COUNTY"),
	@XmlEnumValue("PROVINCE")
	PROVINCE("PROVINCE");
	
	private final String value;

    EntityClassPlace2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityClassPlace2 fromValue(String v) {
        for (EntityClassPlace2 c: EntityClassPlace2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
